# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'marketingcloud/mailer/version'

Gem::Specification.new do |spec|
  spec.name          = "marketingcloud-mailer"
  spec.version       = Marketingcloud::Mailer::VERSION
  spec.authors       = ["Justin Smestad"]
  spec.email         = ["justin@homebot.ai", "justin.smestad@gmail.com"]

  spec.summary       = %q{Provides a custom delivery method for Salesforce Marketingcloud}
  spec.description   = %q{Depends on the 'mail' gem, sends emails through Salesforce Marketingcloud, previously known as ExactTarget}
  spec.homepage      = "https://github.com/homebotapp/marketingcloud-mailer"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
    # spec.metadata['allowed_push_host'] = ""
  # else
    # raise "RubyGems 2.0 or newer is required to protect against " \
      # "public gem pushes."
  # end

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.require_paths = ["lib"]

  spec.add_dependency "mail", "~> 2.6"
  spec.add_dependency "exact_target_rest", "~> 0.2"
  spec.add_dependency "activesupport", ">= 5"

  spec.add_development_dependency "actionmailer", ">= 5"
  spec.add_development_dependency "bundler", "~> 1.14"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.5"
end
